#ifndef NEURON_H
#define NEURON_H

//--------------------------neuron.h-----------------------------------------
//
//    NEREK by Chad Rempp
//    March 1 2002
//    Version 0.0.02
//
//	  Also Stolen from M Buckland
// 
//    Use to create a feedforward neural network. Train the network by using a
//    GA. There is NO backprop included here. I want to keep it as simple as
//    possible.
//
//-------------------------------------------------------------------------------

#include <vector>
#include <fstream>
#include <math.h>

#include "nerek.h"

using namespace std;



//for tweaking the sigmoid response curve
#define ACTIVATION_RESPONSE				1.0f
#define	BIAS							-1.0f




//------------------define neuron struct

struct Neuron
{
	int				m_NumInputs;
	vector<float>	m_vecWeight;
	Neuron(int NumInputs);
};



//---------------struct to hold a layer of neurons.

struct NeuronLayer
{
	vector<Neuron>		m_vecNeurons;
	int					m_NumNeurons;
	int					m_NumInputsPerNeuron;
	NeuronLayer(int NumNeurons, 
				int NumInputsPerNeuron);
};



#endif
