///////////////////////////////////////////////////////////////////////////////
// Name:        nviz3d.cpp
// Purpose:     3D Visualization Library
// Author:      Chad Rempp
// Modified by:
// Created:     06-01-03
// Copyright:   (c) Chad Rempp 2003
// Licence:     GNU Public License
///////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#include <wx/glcanvas.h>
#include "nviz3d.h"

#ifndef WX_PRECOMP
   #include <wx/wx.h>
#endif

bool NvizApp::OnInit()
{
    NvizFrame *frm_main = new NvizFrame(NULL, "Nviz-3D Test App",
              wxPoint (100, 100), wxSize(450, 340));

    wxMenu *FileMenu = new wxMenu;
    wxMenuBar *MenuBar = new wxMenuBar;
    FileMenu->Append(NvizFrame_Quit, "&Quit");
    MenuBar->Append(FileMenu, "&File");
    frm_main->SetMenuBar(MenuBar);

//    frm_main->glc_vizcanvas = new Nviz3DCanvas(this, -1, wxPoint(0,0), wxSize(200,200), wxSUNKEN_BOARDER);

    frm_main->Show(TRUE);
    SetTopWindow(frm_main);

    return TRUE;
}

IMPLEMENT_APP(NvizApp)

BEGIN_EVENT_TABLE(NvizFrame, wxFrame)
   EVT_MENU(NvizFrame_Quit, NvizFrame::OnQuit)
END_EVENT_TABLE()

NvizFrame::NvizFrame(wxFrame *frame, const wxString &title, const wxPoint &pos, const wxSize &size)
    : wxFrame(frame, -1, title, pos, size)
{
//    CreateStatusBar(2);
//    SetStatusText("Nviz3D");
}

void NvizFrame::OnQuit(wxCommandEvent & WXUNUSED(event))
{
    Close(TRUE);
}

//Nviz3DCanvas::Nviz3DCanvas(wxWindow *parent, wxWindowID id, const wxPoint &pos,
//                           const wxSize size, long style, const wxString &name):
//                           wxGLCanvas(parent, id, pos, size, style, name)
//{

//}

//Nviz3DCanvas::~Nviz3DCanvas(void)
//{
//    Destroy();
//}

//void Nviz3DCanvas::InitGL(void)
//{
//}
