/////////////////////////////////////////////////////////////////////////////
// Name:        testdialog.cpp
// Purpose:     
// Author:      Chad Rempp
// Modified by: 
// Created:     
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#include <wx/wx.h>
#include <wx/cshelp.h>
#include <wx/statline.h>
#include <wx/splitter.h>
#include <wx/scrolwin.h>
#include <wx/spinctrl.h>
#include <wx/spinbutt.h>
#include <wx/valgen.h>

#include "testdialog.h"

////@begin XPM images
#include "temp.xpm"
////@end XPM images

/*!
 * TestDialog type definition
 */

IMPLEMENT_CLASS( TestDialog, wxDialog )

/*!
 * TestDialog event table definition
 */

BEGIN_EVENT_TABLE( TestDialog, wxDialog )

////@begin TestDialog event table entries
////@end TestDialog event table entries

END_EVENT_TABLE()

/*!
 * TestDialog constructor
 */

TestDialog::TestDialog( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
    wxDialog::Create( parent, id, caption, pos, size, style );

    CreateControls();
}

/*!
 * Control creation for TestDialog
 */

void TestDialog::CreateControls()
{    
////@begin TestDialog content construction

    TestDialog* item1 = this;

    wxBoxSizer* item2 = new wxBoxSizer(wxVERTICAL);
    item1->SetSizer(item2);
    item1->SetAutoLayout(TRUE);

    wxPanel* item3 = new wxPanel(item1, ID_PANEL, wxDefaultPosition, wxSize(300, 100), wxSUNKEN_BORDER);
    item2->Add(item3, 0, wxALIGN_CENTER_HORIZONTAL|wxLEFT|wxRIGHT|wxTOP|wxBOTTOM, 5);

    wxBitmap item4Bitmap(temp_xpm);
    wxBitmapButton* item4 = new wxBitmapButton(item3, ID_BITMAPBUTTON, item4Bitmap, wxPoint(10, 10), wxSize(22, 22), wxBU_AUTODRAW);

    wxBitmap item5Bitmap(temp_xpm);
    wxBitmapButton* item5 = new wxBitmapButton(item3, ID_BITMAPBUTTON, item5Bitmap, wxPoint(40, 10), wxSize(22, 22), wxBU_AUTODRAW);

    wxBitmap item6Bitmap(temp_xpm);
    wxBitmapButton* item6 = new wxBitmapButton(item3, ID_BITMAPBUTTON, item6Bitmap, wxPoint(70, 10), wxSize(22, 22), wxBU_AUTODRAW);

    wxTextCtrl* item7 = new wxTextCtrl(item3, ID_TEXTCTRL, _(""), wxPoint(40, 40), wxSize(25, -1), wxSTATIC_BORDER);

    wxStaticText* item8 = new wxStaticText(item3, wxID_STATIC, _("Bias"), wxPoint(10, 44), wxDefaultSize, 0);

    GetSizer()->Fit(this);
    GetSizer()->SetSizeHints(this);

////@end TestDialog content construction
}

/*!
 * Should we show tooltips?
 */

bool TestDialog::ShowToolTips()
{
  return TRUE;
}
